CREATE OR REPLACE FUNCTION get_current_data(data_key text)
RETURNS VARCHAR AS $$
BEGIN
    -- Return the value of the setting, or NULL if it does not exist
    RETURN current_setting(data_key, TRUE);
END;
$$ LANGUAGE plpgsql;